## net.percederberg.mib.asn1.parser
Class AsnParserTokenManager

    java.lang.Object
      |
      +--net.percederberg.mib.asn1.parser.AsnParserTokenManager

All Implemented Interfaces:
  AsnParserConstants

public class AsnParserTokenManager
extends java.lang.Object
implements AsnParserConstants

Field Summary
`protected static char` `curChar`
`static int[]` `jjnewLexState`
`static java.lang.String[]` `jjstrLiteralImages`
`static java.lang.String[]` `lexStateNames`

Fields inherited from interface net.percederberg.mib.asn1.parser.AsnParserConstants

`COMMENT, DEFAULT, EOF, TABSENT, TACCESS, TANY, TAPPLICATION, TASSIGN, TBAR, TBEGIN, TBINSTRING, TBIT, TBOOLEAN, TBY, TCHOICE, TCOMMA, TCOMPONENT, TCOMPONENTS, TCSTRING, TDEFAULT, TDEFINED, TDEFINITIONS, TDEFVAL, TDESCRIPTION, TDOT, TEND, TENTERPRISE, TENUMERATED, TEXPLICIT, TEXPORTS, TFALSE, TFROM, THEXSTRING, TIDENTIFIER, TIMPLICIT, TIMPORTS, TINCLUDES, TINDEX, TINTEGER, TLCASEFIRST_IDENT, TLEFTBRACE, TLEFTBRACKET, TLEFTPAREN, TLESSTHAN, TMACRO, TMAX, TMIN, TMINUS, TMINUS_INFINITY, TNULL, TNUMBER, TOBJECT, TOBJECT_TYPE, TOCTET, TOF, tokenImage, TOPTIONAL, TPLUS_INFINITY, TPRESENT, TPRIVATE, TREAL, TREFERENCE, TRIGHTBRACE, TRIGHTBRACKET, TRIGHTPAREN, TSEMI_COLON, TSEQUENCE, TSET, TSIZE, TSTATUS, TSTRING, TSYNTAX, TTAGS, TTRAP_TYPE, TTRUE, TUCASEFIRST_IDENT, TUNIVERSAL, TVARIABLES, TWITH`

Constructor Summary
`AsnParserTokenManager(ASCII_CharStream stream)`
`AsnParserTokenManager(ASCII_CharStream stream, int lexState)`

Method Summary
`static Token` `getNextToken()`
`static void` `ReInit(ASCII_CharStream stream)`
`static void` `ReInit(ASCII_CharStream stream, int lexState)`
`static void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### curChar

    protected static char curChar

Constructor Detail

### AsnParserTokenManager

    public AsnParserTokenManager(ASCII_CharStream stream)

### AsnParserTokenManager

    public AsnParserTokenManager(ASCII_CharStream stream,
                                 int lexState)

Method Detail

### ReInit

    public static void ReInit(ASCII_CharStream stream)

### ReInit

    public static void ReInit(ASCII_CharStream stream,
                              int lexState)

### SwitchTo

    public static void SwitchTo(int lexState)

### getNextToken

    public static final Token getNextToken()